Bug 842997 - The package jboss-as-7.1.1-4 doesn't include symlink /usr/share/jboss-as/modules/org/apache/santuario/xmlsec/main/xmlsec.jar
The package jboss-as-7.1.1-4 doesn't include symlink /usr/share/jboss-as/modu...
Product: Fedora
Classification: Fedora
Component: jboss-as (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-25 05:10 EDT by Juan Hernández
Modified: 2012-08-05 17:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-25 05:41:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-07-25 05:10:27 EDT
Release 4 of the jboss-as-7.1.1 package doesn't include the symlink /usr/share/jboss-as/modules/org/apache/santuario/xmlsec/main/xmlsec.jar. This means that applications that require this module fail to deploy.
Comment 1 Juan Hernández 2012-07-25 05:11:14 EDT
The workaround is to create the link manually:

ln -s /usr/share/java/xmlsec.jar
Comment 2 Marek Goldmann 2012-07-25 05:41:40 EDT
Fixed upstream, will be available in jboss-as-7.1.1-5 update.

Comment 3 Fedora Update System 2012-08-02 04:15:33 EDT
jboss-as-7.1.1-6.fc17 has been submitted as an update for Fedora 17.
Comment 4 Fedora Update System 2012-08-05 17:29:41 EDT
jboss-as-7.1.1-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.